- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

SSL_get_client_CA_list, SSL_CTX_get_client_CA_list - get list of client CAs

# SYNOPSIS

     #include <openssl/ssl.h>

     STACK_OF(X509_NAME) *SSL_get_client_CA_list(const SSL *s);
     STACK_OF(X509_NAME) *SSL_CTX_get_client_CA_list(const SSL_CTX *ctx);

# DESCRIPTION

SSL_CTX_get_client_CA_list() returns the list of client CAs explicitly set for ctx using SSL_CTX_set_client_CA_list(3), when in server mode. In client mode, SSL_get_client_CA_list returns the list of client CAs sent from the server, if any.

# RETURN VALUES

SSL_CTX_set_client_CA_list() and SSL_set_client_CA_list() do not return diagnostic information.

SSL_CTX_add_client_CA() and SSL_add_client_CA() have the following return values:

STACK_OF(X509_NAMES)

  List of CA names explicitly set (for ctx or in server mode) or send by the server (client mode).

NULL

  No client CA list was explicitly set (for ctx or in server mode) or the server did not send a list of CAs (client mode).

# SEE ALSO

SSL_CTX_set_client_CA_list(3), COPYRIGHT

Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.